from base import ModuleBase

class Module(ModuleBase):
    def __init__(self, manager):
        ModuleBase.__init__(self, manager)
        self.db = manager.get('mysql').db
    
    def helptexts(self):
        return ['Chatlogs werden auch erstellt.']
    
    def groupchat(self, room, nick, text, handler):
        cursor = self.db.cursor()
        cursor.execute('INSERT INTO log (`type`, `time`, `room`, `nick`, `text`) VALUES ("message", NOW(), %s, %s, %s)', (room, nick, text))
        cursor.close()

    def join(self, room, nick, show, status, handler):
        cursor = self.db.cursor()
        cursor.execute('INSERT INTO log (`type`, `time`, `room`, `nick`, `show`, `text`) VALUES ("join", NOW(), %s, %s, %s, %s)', (room, nick, show, status))
        cursor.close()

    def leave(self, room, nick, show, status, handler):
        cursor = self.db.cursor()
        cursor.execute('INSERT INTO log (`type`, `time`, `room`, `nick`, `show`, `text`) VALUES ("leave", NOW(), %s, %s, %s, %s)', (room, nick, show, status))
        cursor.close()
    
    def topic(self, room, nick, text, handler):
        cursor = self.db.cursor()
        cursor.execute('INSERT INTO log (`type`, `time`, `room`, `nick`, `text`) VALUES ("topic", NOW(), %s, %s, %s)', (room, nick, text))
        cursor.close()
